/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-30 15:17:49.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 系统配置信息
 *
 * @author: QMTH
 * @since: 2018/11/30
 */
@Component
public class SysProperty implements Serializable {

    private static final long serialVersionUID = 1L;

    @Value("${$upyun.site.1.domain}")
    protected String domain;

    @Value("${$upyun.site.1.bucketName}")
    protected String bucketName;

    @Value("${$upyun.site.1.userName}")
    protected String userName;

    @Value("${$upyun.site.1.password}")
    protected String password;

    @Value("${$upyun.site.1.uploadUrl}")
    private String uploadUrl;

    /**
     * 题库访问地址前缀
     */
    @Value("${$question.url.prefix}")
    private String questionUrlPrefix;

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getBucketName() {
        return bucketName;
    }

    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUploadUrl() {
        return uploadUrl;
    }

    public void setUploadUrl(String uploadUrl) {
        this.uploadUrl = uploadUrl;
    }

    public String getQuestionUrlPrefix() {
        return questionUrlPrefix;
    }

    public void setQuestionUrlPrefix(String questionUrlPrefix) {
        this.questionUrlPrefix = questionUrlPrefix;
    }

}
