/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-20 13:52:45.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.enums;

/**
 * 导出文件类型
 *
 * @author: QMTH
 * @since: 2018/11/20
 */
public enum ExportType {
    /**
     * 试卷
     */
    PAPER(1, "试卷"),
    /**
     * 答案
     */
    ANSWER(2, "答案"),
    /**
     * 试卷结构(用于阅卷)
     * 客观题/主观题结构
     */
    STRUCT(3, "试卷结构"),
    /**
     * 机考数据包
     */
    COMPUTER_EXAM_PKG(4, "机考数据包"),
    /**
     * 分布式印刷数据包
     */
    PRINT_EXAM_PKG(5, "分布式印刷数据包");

    private int id;
    private String title;

    ExportType(int id, String title) {
        this.id = id;
        this.title = title;
    }

    public int getId() {
        return id;
    }

    public String getTitle() {
        return title;
    }

}