/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-22 15:26:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureInfo;
import cn.com.qmth.examcloud.core.print.service.bean.examstructure.ExamStructureQuery;
import org.springframework.data.domain.Page;

/**
 * @author: weiwenhai
 * @since: 2018.10.30
 * @author: QMTH
 * @update: 2018/11/22
 */
public interface ExamStructureService {

    /**
     * 获取考试结构信息列表(分页)
     */
    Page<ExamStructureInfo> getExamStructureList(ExamStructureQuery query);

    /**
     * 获取某个考试结构信息
     */
    ExamStructureInfo getExamStructure(Long orgId, Long examId);

    /**
     * 保存某个考试结构信息
     */
    void saveExamStructure(ExamStructureInfo info);

    /**
     * 复用某个考试结构信息
     */
    void cloneExamStructure(ExamStructureInfo info);

    /**
     * 删除某个考试结构信息
     */
    void deleteExamStructure(Long[] ids);

    /**
     * 校验某个考试试卷结构信息
     */
    void checkExamStructure(Long orgId, Long examId, String paperId);

    /**
     * 同步更新学校名称信息
     */
    void syncOrgNameByOrgId(Long orgId, String orgName);

    /**
     * 同步更新考试名称信息
     */
    void syncExamNameByExamId(Long examId, String examName);

}