/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-10-26 18:28:14.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.service;

import cn.com.qmth.examcloud.core.print.service.bean.printingprojectstatistic.PrintingProjectStatisticInfo;

import javax.validation.constraints.NotNull;

/**
 * @author: QMTH
 * @since: 2018/10/26
 */
public interface PrintingProjectStatisticService {

    /**
     * 获取某个印刷项目的统计信息
     *
     * @param orgId
     * @param examId
     * @return
     */
    PrintingProjectStatisticInfo getPrintingProjectStatistic(@NotNull Long orgId, @NotNull Long examId);

    /**
     * 刷新某个印刷项目的统计信息
     */
    void refreshPrintingProjectStatistic(@NotNull Long orgId, @NotNull Long examId);

    /**
     * 初始所有印刷项目的统计信息
     */
    void initAllPrintingProjectStatistic();

}